<?php
if ( isset( $_POST['p'] ) ){
	
	function mailIslem($konu, $mesaj, $kime = array() ){
		include 'class.phpmailer.php';
		
		$mail = new phpmailer();
		
		$mail->IsSMTP();
		$mail->From     = $_POST['mesajEposta'];
		$mail->Sender   = $_POST['mesajEposta'];
		$mail->ReplyTo  = $_POST['mesajEposta'];
		$mail->FromName = "VYZ";
		$mail->Host     = $_POST['mesajSunucu'];
		$mail->SMTPAuth = true; 
		$mail->Username = $_POST['mesajEposta']; 
		$mail->Password = $_POST['mesajSifre'];
		
		
		$mail->Subject  = $konu; 
		
		$mail->IsHTML(true);
		 
		$mail->Body = $mesaj;
		$mail->AltBody = htmlentities($mesaj);
		
		foreach ($kime as $key => $value){
			$mail->AddAddress($value);
		}
		
		$return = false;
		if ( $mail->Send() )
			$return = true;
		
		$mail->ClearAddresses();
		$mail->ClearAttachments();
		
		return $return;		
	}
	
	
	if ( !isset($_POST['mesajBaslik']) || !$_POST['mesajBaslik'] ){
		$mesajBaslik = 'VYZ - SMTP Mail Gönderim Kontrolü';
	} else {
		$mesajBaslik = $_POST['mesajBaslik'];
	}
	
	if ( !isset($_POST['mesajMesaj']) || !$_POST['mesajMesaj'] ){
		$mesajMesaj = 'Merhaba <b>Ziyaretçi</b> <br />';
		$mesajMesaj .= 'Bu mesaj size <a href="http://www.vyz.gen.tr">http://www.vyz.gen.tr</a> adresi üzerinden sizin isteğiniz doğrultusunda gönderilmiştir. <br />';
		$mesajMesaj .= 'Bu mesajını göndermindeki amaç;<br />';
		$mesajMesaj .= '<ul><li>Açmış olduğunuz e-posta bilgilerinin doğruluğunu kontrol etmek</li>';
		$mesajMesaj .= '<li>PHP ile SMTP göndermi yapmak isterseniz ilgili kodlamanın size sağlanması</li></ul><br />';
		$mesajMesaj .= '<b>İyi Çalışmalar!</b>';
	} else {
		$mesajMesaj = $_POST['mesajMesaj'];
	}
	
	if ( mailIslem( $mesajBaslik, $mesajMesaj, array($_POST['mesajEposta']) ) ){
		$returnMsg = array(
			'islemSonuc' => true,
			'islemMsj' => 'Tebrikler! E-posta gönderimi başarıyla tamamlanmıştır.',
		);
	} else {
		$returnMsg = array(
			'islemSonuc' => false,
			'islemMsj' => 'E-posta gönderme işleminde hata oluştu. Bilgilerinizi kontrol ediniz',
		);
	}
}			 
?>
<!DOCTYPE html>
<html>
<head>
	<title>PHP ile SMTP Mail Gönderim Kontrolü</title>
	<meta charset="UTF-8">
	<script src="http://code.jquery.com/jquery-latest.min.js" type="text/javascript"></script>
</head>
<body>

<form action="" method="POST">
	
	<label for="mesajSunucu">
		E-posta Sunucu : <input required id="mesajSunucu" name="mesajSunucu" placeholder="mail.vyz.gen.tr" />
	</label>
	<br /><br />
	
	<label for="mesajEposta">
		E-posta : <input required type="email" id="mesajEposta" name="mesajEposta" placeholder="info@vyz.gen.tr" />
	</label>
	<br /><br />
	
	<label for="mesajSifre">
		Şifre : <input required type="password" id="mesajSifre" name="mesajSifre" placeholder="Şifreniz" />
	</label>
	<br /><br />
	
	<label for="mesajBaslik">
		Konu : <input id="mesajBaslik" name="mesajBaslik" />
	</label>
	<br /><br />
	
	<label for="mesajMesaj">
		Mesaj : <textarea id="mesajMesaj" name="mesajMesaj"></textarea>
	</label>
	<br /><br />
	
	<button>E-posta Gönder!</button>
	
	<input type="hidden" name="p" />
</form>

<?php if ( isset($returnMsg) ){ ?>
<script type="text/javascript">
	alert( ' <?php echo $returnMsg['islemMsj']?> ' );
</script>
<?php } ?>

</body>
</html>